<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>study-python</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h3 id="read">Read</h3>
    <ul>
      <li>
        Data Structures and Algorithms in Python
        <ul>
          <li>
            http://multimedia.ucc.ie/Public/training/cycle1/algorithms-in-python.pdf
          </li>
          <li>
            https://www.amazon.com/Structures-Algorithms-Python-Michael-Goodrich/dp/1118290275
          </li>
        </ul>
      </li>
      <li>
        Clean Code: A Handbook of Agile Software Craftsmanship
        <ul>
          <li>
            https://www.amazon.com/Clean-Code-Handbook-Software-Craftsmanship/dp/0132350882
          </li>
        </ul>
      </li>
      <li>
        Code Complete: A Practical Handbook of Software Construction
        <ul>
          <li>
            https://www.amazon.com/Code-Complete-Practical-Handbook-Construction/dp/0735619670
          </li>
        </ul>
      </li>
      <li>
        Cracking the Coding Interview: 189 Programming Questions and Solutions
        <ul>
          <li>
            https://www.amazon.com/Cracking-Coding-Interview-Programming-Questions/dp/0984782850
          </li>
        </ul>
      </li>
    </ul>
    <h3 id="practice">Practice</h3>
    <ul>
      <li>Leetcode</li>
      <li>HackerRank</li>
    </ul>
    <h3 id="learn">Learn</h3>
    <ul>
      <li>
        Discrete Maths
        <ul>
          <li>
            https://ocw.mit.edu/courses/electrical-engineering-and-computer-science/6-042j-mathematics-for-computer-science-fall-2010/
          </li>
        </ul>
      </li>
      <li>
        Linear Algebra
        <ul>
          <li>
            https://www.udacity.com/course/linear-algebra-refresher-course–ud953
          </li>
          <li>
            https://www.youtube.com/watch?v=ZK3O402wf1c&amp;list=PLE7DDD91010BC51F8
          </li>
          <li>https://www.khanacademy.org/math/linear-algebra</li>
          <li>https://cs.brown.edu/video/channels/coding-matrix-fall-2014/</li>
        </ul>
      </li>
      <li>
        Git and GitHub
        <ul>
          <li>
            https://www.udacity.com/course/how-to-use-git-and-github–ud775
          </li>
        </ul>
      </li>
      <li>
        Front End Web Development
        <ul>
          <li>
            https://www.coursera.org/learn/html-css-javascript-for-web-developers
          </li>
          <li>https://www.udacity.com/course/intro-to-html-and-css–ud304</li>
        </ul>
      </li>
      <li>
        Systems Design
        <ul>
          <li>https://github.com/donnemartin/system-design-primer</li>
          <li>
            https://www.hiredintech.com/classrooms/system-design/lesson/55
          </li>
        </ul>
      </li>
    </ul>
    <h3 id="create">Create</h3>
    <ul>
      <li>AR Project</li>
      <li><a href="https://www.freecodecamp.com/">freeCodeCamp</a></li>
      <li>Finish up OkGo</li>
      <li>
        Contribute to Open Source Projects
        <ul>
          <li>http://www.firsttimersonly.com/</li>
        </ul>
      </li>
    </ul>
    <h3 id="useful-references">Useful References</h3>
    <ul>
      <li>
        <a
          href="https://www.google.com/about/careers/students/guide-to-technical-development.html"
          >Google Technical Development Guide</a
        >
      </li>
      <li>
        <a
          href="http://forums.salary.sg/income-jobs/8617-top-paying-companies-sg-compsci.html#post94905"
          >Salary.Sg - Top Paying Companies in SG for CompSci</a
        >
      </li>
      <li>
        <a
          href="https://github.com/jwasham/coding-interview-university/blob/master/README.md#recursion"
          >Coding Interview University</a
        >
      </li>
      <li>
        <a
          href="http://www.ardendertat.com/2012/01/09/programming-interview-questions/"
          >Arden Dertat’s List of Programming Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="reddit-threads">Reddit Threads</h3>
    <ul>
      <li>
        <a
          href="https://www.reddit.com/r/cscareerquestions/comments/691zpw/17_years_old_heading_into_college_what_things/"
          >17 years old heading into College - What things should I focus on if
          I aspire to become a Software Developer?</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/cscareerquestions/comments/65ln8o/which_online_course_or_book_helped_in_your_growth/"
          >Which online course or book helped in your growth the most as a
          developer?</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/cscareerquestions/comments/6278bi/my_journey_and_tips_29_gpa_at_a_noname_liberal/"
          >My journey and tips: 2.9 GPA at a no-name liberal arts college with 1
          mediocre internship —&gt; 4 FTE offers including FB</a
        >
      </li>
      <li>
        <a href="https://github.com/donnemartin/coding"
          >Practice algorithms and data structures (and prep for coding
          interviews) with interactive coding challenges in Python</a
        >
      </li>
    </ul>
    <h3 id="medium-articles">Medium Articles</h3>
    <ul>
      <li>
        <a
          href="https://medium.com/@jinzhe/my-google-interview-experience-51f716c7e578"
          >Google Interview Experience by Singaporean Student</a
        >
      </li>
      <li>
        <a
          href="https://hackernoon.com/learn-to-code-in-2017-get-hired-and-have-fun-along-the-way-5ff4c1b1a790?source=userActivityShare-ff62632145a3-1494413549&amp;gi=1bef10198695"
          >Learn to Code in 2017 - Useful resources for learning front end web
          development</a
        >
      </li>
    </ul>
  </body>
</html>
